/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2016, 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
// Node module: apiconnect-config

/**
 * @fileoverview Manages configuration stores for CLI and Designer.
 * @module apiconnect-config
 */

'use strict';

var consts = require('./lib/consts');
var getUserConfigDir = require('./lib/user-config-dir');
var loader = require('./lib/loader');

var exports = {
  DEFAULT_CONCURRENCY: consts.DEFAULT_CONCURRENCY,
  USER_STORE: consts.USER_STORE,
  PROJECT_STORE: consts.PROJECT_STORE,
  TOKEN_STORE: consts.TOKEN_STORE,
  getUserConfigDir: getUserConfigDir,
  loadConfig: loader,
};

module.exports = exports;

